Package com.enonic.xp.page

## Class CreatePageParams

- java.lang.Object
- - com.enonic.xp.page.CreatePageParams

-     @PublicApi
      public final class CreatePageParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreatePageParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreatePageParams` | `config​(PropertyTree value)` |
    `CreatePageParams` | `content​(ContentId value)` |
    `CreatePageParams` | `controller​(DescriptorKey value)` |
    `CreatePageParams` | `customized​(boolean value)` |
    `CreatePageParams` | `fragment​(Component fragment)` |
    `PropertyTree` | `getConfig()` |
    `ContentId` | `getContent()` |
    `DescriptorKey` | `getController()` |
    `Component` | `getFragment()` |
    `PageTemplateKey` | `getPageTemplate()` |
    `PageRegions` | `getRegions()` |
    `boolean` | `isCustomized()` |
    `CreatePageParams` | `pageTemplate​(PageTemplateKey value)` |
    `CreatePageParams` | `regions​(PageRegions value)` |
    `void` | `validate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreatePageParams

          public CreatePageParams()

  - ### Method Detail

    - #### content

          public CreatePageParams content​(ContentId value)

    - #### controller

          public CreatePageParams controller​(DescriptorKey value)

    - #### pageTemplate

          public CreatePageParams pageTemplate​(PageTemplateKey value)

    - #### regions

          public CreatePageParams regions​(PageRegions value)

    - #### fragment

          public CreatePageParams fragment​(Component fragment)

    - #### config

          public CreatePageParams config​(PropertyTree value)

    - #### customized

          public CreatePageParams customized​(boolean value)

    - #### getContent

          public ContentId getContent()

    - #### getPageTemplate

          public PageTemplateKey getPageTemplate()

    - #### getController

          public DescriptorKey getController()

    - #### getRegions

          public PageRegions getRegions()

    - #### getConfig

          public PropertyTree getConfig()

    - #### isCustomized

          public boolean isCustomized()

    - #### getFragment

          public Component getFragment()

    - #### validate

          public void validate()